summaryrefslogtreecommitdiff
path: root/Master/bin/i386-kfreebsd/mkindex
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2010-03-08 00:54:42 +0000
committerKarl Berry <karl@freefriends.org>2010-03-08 00:54:42 +0000
commit16d4328eddf7525d22a0e8b113432a9ed343935b (patch)
treedcdc49f0d4ce55a929a5d7237b82135735a4be69 /Master/bin/i386-kfreebsd/mkindex
parent5d87b075aeb9584d0c74eb35ba7c9b45de6ee7ff (diff)
binaries for i386-kfreebsd, from Alan Braslau
git-svn-id: svn://tug.org/texlive/trunk@17370 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/i386-kfreebsd/mkindex')
-rwxr-xr-xMaster/bin/i386-kfreebsd/mkindex39
1 files changed, 39 insertions, 0 deletions
diff --git a/Master/bin/i386-kfreebsd/mkindex b/Master/bin/i386-kfreebsd/mkindex
new file mode 100755
index 00000000000..565f805695d
--- /dev/null
+++ b/Master/bin/i386-kfreebsd/mkindex
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+test -f /bin/sh5 && test -z "$RUNNING_SH5" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xULTRIX; } 2>/dev/null \
+ && { RUNNING_SH5=true; export RUNNING_SH5; exec /bin/sh5 $0 ${1+"$@"}; }
+unset RUNNING_SH5
+
+test -f /bin/bsh && test -z "$RUNNING_BSH" \
+ && { UNAMES=`uname -s`; test "x$UNAMES" = xAIX; } 2>/dev/null \
+ && { RUNNING_BSH=true; export RUNNING_BSH; exec /bin/bsh $0 ${1+"$@"}; }
+unset RUNNING_BSH
+
+progname=`basename $0`
+case $# in
+ 0)
+ echo "usage: `basename $0` file[.idx] ..." 1>&2
+ exit 1
+ ;;
+esac
+
+gind=gind.ist
+gglo=gglo.ist
+
+# remember starting directory
+dir=`pwd`
+
+# loop over all files
+for i
+do
+ destdir=`echo $i | sed 's/^[^\/]*$/./; s/\/[^\/]*$//'`
+ test -d "$destdir"||continue
+ cd "$destdir"
+ FILENAME=`basename $i .idx`
+ test -f "$FILENAME".idx \
+ && makeindex -s $gind "$FILENAME"
+ test -f "$FILENAME".glo \
+ && makeindex -s $gglo -o "$FILENAME".gls "$FILENAME".glo
+ cd "$dir"
+done